<?php
session_start(); // Start the session

// Clear session variables
$_SESSION['username'] = ''; 
$_SESSION['fullname'] = ''; // Clear full name if necessary

// You can use session_unset() or simply set session variables to empty strings
// Learned about unset and destroy at https://www.php.net/manual/en/ref.session.php
session_unset(); // Unset all session variables
session_destroy(); // Destroy the session completely

?>
<html>
    <h1>Logged out!</h1>
    <h2><i>Thank you for visiting.</i></h2>
    <p>You will be redirected to the login page shortly...</p>

    <script>
        // Set a delay before redirecting (e.g., 5 seconds)
        // The concept of setTimeout() was learned through W3Schools tutorials on JavaScript.
        setTimeout(function() { 
            window.location.href = 'login_form.php'; // Redirect to login page
        }, 5000); // 5000 milliseconds = 5 seconds
    </script>
</html>